# Create COC Records

<mark style="color:blue;">`POST`</mark> `/api/v1/chain-of-custody/evidence`

Create a COC record for an evidence item.

**Request Body**

| Name                                              | Type                         | Description                                                                                                                                                                                        |        |                      |                                                                                                                     |
| ------------------------------------------------- | ---------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------ | -------------------- | ------------------------------------------------------------------------------------------------------------------- |
| `evidence_id`                                     | number                       | Monolith unique identifier for evidence item.                                                                                                                                                      |        |                      |                                                                                                                     |
| `evidence_uuid`<mark style="color:red;">\*</mark> | string                       | <mark style="color:red;">**(REQUIRED)**</mark> Monolith unique identifier for a Monolith case.                                                                                                     |        |                      |                                                                                                                     |
| `timestamp` <mark style="color:red;">\*</mark>    | string (ISO 8601)            | <p><mark style="color:red;"><strong>(REQUIRED)</strong></mark> An ISO formatted timestamp that represents when the coc action occurred.  <br><br>Must be in ISO format: "YYYY-MM-DDTHH:mm:ssZ"</p> |        |                      |                                                                                                                     |
| `custody_to` <mark style="color:red;">\*</mark>   | string                       | <p><mark style="color:red;"><strong>(REQUIRED)</strong></mark> This is where the item is moving to.<br><br>Could be a person or location.</p>                                                      |        |                      |                                                                                                                     |
| `custody_from` <mark style="color:red;">\*</mark> | string                       | <p><mark style="color:red;"><strong>(REQUIRED)</strong></mark> This where the item has moved from.<br><br>Could be a person or location.</p>                                                       |        |                      |                                                                                                                     |
| `coc_type` <mark style="color:red;">\*</mark>     | <p>string <br><code>"Intake" | "Release"                                                                                                                                                                                          | "Move" | "Destroy"</code></p> | <mark style="color:red;">**(REQUIRED)**</mark> The type of COC action taken - must be one of the idetified options. |
| `notes`                                           | string                       | Any notes that are relevant to the COC action.                                                                                                                                                     |        |                      |                                                                                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monolithforensics.com/monolith/monolith-api/chain-of-custody-api/create-coc-records.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
